﻿using Avalonia.Media.Imaging;
using System;
using System.Collections.Generic;

namespace DemoService.Models;

public partial class Service
{
    public int Id { get; set; }

    public string Title { get; set; } = null!;

    public decimal Cost { get; set; }

    public int DurationInSeconds { get; set; }

    public string? Description { get; set; }

    public decimal? Discount { get; set; }

    public string? MainImagePath { get; set; }

    public Bitmap? MainImagePathBitmap
    {
        get
        {
            try
            {
                return new Bitmap(AppDomain.CurrentDomain.BaseDirectory + "/" + MainImagePath);
            }
            catch
            {
                return null;
            }

        }
    }

    public virtual ICollection<Clientservice> ClientServices { get; set; } = new List<Clientservice>();

    public virtual ICollection<Servicephoto> ServicePhotos { get; set; } = new List<Servicephoto>();
}
